import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  vendorName: z.string(),
  websiteUrl: z.string(),
  loginUsername: z.string(),
  loginPassword: z.string()
}).strict();
export const ShoppingVendorCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.ShoppingVendorCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorCreateWithoutUserInput>;
export const ShoppingVendorCreateWithoutUserInputObjectZodSchema = makeSchema();
